ByteChef LogoByteChef

Zoho Invoice

Zoho Invoice is an online invoicing software used to create, send, and manage professional invoices, along with tracking payments and automating billing workflows.

Categories: Accounting

Type: zohoInvoice/v1


Connections

Version: 1

OAuth2 Authorization Code

Properties

NameLabelTypeDescriptionRequired
regionRegionSTRING
Options zoho.eu, zoho.com, zoho.com.au, zoho.jp, zoho.in, zohocloud.ca
true
organization_idOrganization IdSTRINGtrue
clientIdClient IdSTRINGtrue
clientSecretClient SecretSTRINGtrue

Connection Setup

Create OAuth 2.0 Application

Creation of OAuth 2.0 application is documented here.

Create organization ID

  1. Login to your account at https://www.zoho.com/invoice/.
  2. Fill in the required fields and click Get Started.
  3. Click on your organization and copy Organization ID.
  4. In Bytechef, choose your region based on Zoho Invoice domain you are using.

Actions

Create Contact

Name: createContact

Create a new contact.

Properties

NameLabelTypeDescriptionRequired
contact_nameContact NameSTRINGName of the contact.true
company_nameCompany NameSTRINGName of the contact's company.false
websiteWebsiteSTRINGWebsite of the contact.false
currency_idCurrency IDSTRINGCurrency ID of the customer's currency.false
billing_addressBilling AddressOBJECT
Properties {STRING(attention), STRING(address), STRING(street2), STRING(state_code), STRING(city), STRING(state), STRING(zip), STRING(country), STRING(fax), STRING(phone)}
Billing address of the contact.false
shipping_addressShipping AddressOBJECT
Properties {STRING(attention), STRING(address), STRING(street2), STRING(state_code), STRING(city), STRING(state), STRING(zip), STRING(country), STRING(fax), STRING(phone)}
Customer's shipping address to which the goods must be delivered.false

Example JSON Structure

{
  "label" : "Create Contact",
  "name" : "createContact",
  "parameters" : {
    "contact_name" : "",
    "company_name" : "",
    "website" : "",
    "currency_id" : "",
    "billing_address" : {
      "attention" : "",
      "address" : "",
      "street2" : "",
      "state_code" : "",
      "city" : "",
      "state" : "",
      "zip" : "",
      "country" : "",
      "fax" : "",
      "phone" : ""
    },
    "shipping_address" : {
      "attention" : "",
      "address" : "",
      "street2" : "",
      "state_code" : "",
      "city" : "",
      "state" : "",
      "zip" : "",
      "country" : "",
      "fax" : "",
      "phone" : ""
    }
  },
  "type" : "zohoInvoice/v1/createContact"
}

Output

Type: OBJECT

Properties

NameTypeDescription
codeNUMBERZoho Invoice error code. This will be zero for a success response and non-zero in case of an error.
messageSTRINGMessage for the invoked API.
contactOBJECT
Properties {}
Created contact.

Output Example

{
  "code" : 0.0,
  "message" : "",
  "contact" : { }
}

Find Currency ID

To find the Currency ID, click here.

Create Invoice

Name: createInvoice

Create an invoice for your customer.

Properties

NameLabelTypeDescriptionRequired
customer_idCustomer IDSTRINGID of the customer the invoice has to be created.true
use_custom_invoice_numberUse Custom Invoice NumberBOOLEAN
Options true, false
If true, create custom invoice number, if false, use auto invoice number generation.true
invoice_numberInvoice NumberSTRINGNumber of invoice.true
line_itemsLine ItemsARRAY
Items [{STRING(item_id), NUMBER(quantity)}]
Items in invoice.true
dateInvoice DateDATEThe date of the invoice.false
payment_termsPayment TermsINTEGERPayment terms in days e.g. 15, 30, 60. Invoice due date will be calculated based on this.false

Example JSON Structure

{
  "label" : "Create Invoice",
  "name" : "createInvoice",
  "parameters" : {
    "customer_id" : "",
    "use_custom_invoice_number" : false,
    "invoice_number" : "",
    "line_items" : [ {
      "item_id" : "",
      "quantity" : 0.0
    } ],
    "date" : "2021-01-01",
    "payment_terms" : 1
  },
  "type" : "zohoInvoice/v1/createInvoice"
}

Output

Type: OBJECT

Properties

NameTypeDescription
codeNUMBERZoho Invoice error code. This will be zero for a success response and non-zero in case of an error.
messageSTRINGMessage for the invoked API.
invoiceOBJECT
Properties {}
Created invoice.

Output Example

{
  "code" : 0.0,
  "message" : "",
  "invoice" : { }
}

Find Customer ID

To find the Customer ID, click here.

Find Item ID

To find the Item ID, click here.

Create Item

Name: createItem

Create a new item.

Properties

NameLabelTypeDescriptionRequired
nameItem NameSTRINGName of the item.true
rateRateNUMBERPer unit price of an item.true
product_typeProduct TypeSTRING
Options goods, service
Specify the type of an item.true
descriptionDescriptionSTRINGDescription for the item.false

Example JSON Structure

{
  "label" : "Create Item",
  "name" : "createItem",
  "parameters" : {
    "name" : "",
    "rate" : 0.0,
    "product_type" : "",
    "description" : ""
  },
  "type" : "zohoInvoice/v1/createItem"
}

Output

Type: OBJECT

Properties

NameTypeDescription
codeNUMBERZoho Invoice error code. This will be zero for a success response and non-zero in case of an error.
messageSTRINGMessage for the invoked API.
itemOBJECT
Properties {}
Created item.

Output Example

{
  "code" : 0.0,
  "message" : "",
  "item" : { }
}

What to do if your action is not listed here?

If this component doesn't have the action you need, you can use Custom Action to create your own. Custom Actions empower you to define HTTP requests tailored to your specific requirements, allowing for greater flexibility in integrating with external services or APIs.

To create a Custom Action, simply specify the desired HTTP method, path, and any necessary parameters. This way, you can extend the functionality of your component beyond the predefined actions, ensuring that you can meet all your integration needs effectively.


Additional Instructions

How to find the Currency ID

  • Method 1: Via API

Use the GET /settings/currencies endpoint to retrieve a list of all currencies and their IDs.

How to find the Customer ID

  • Method 1: Via API

Use the GET /contacts endpoint to retrieve a list of all customers and their IDs.

  • Method 2: Via UI

Open your Zoho Invoice dashboard, then navigate to Customers from the left-hand menu. Select the desired customer, scroll down to the Record Info section and you’ll find the Customer ID listed there.

How to find the Item ID

  • Method 1: Via API

Use the GET /items endpoint to retrieve a list of all items and their IDs.

How is this guide?

Last updated on

On this page